LinuxQuestions.org
Latest LQ Deal: Linux Power User Bundle
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 07-18-2018, 01:47 PM   #1
Halaspa
LQ Newbie
 
Registered: Jul 2018
Posts: 5

Rep: Reputation: Disabled
Linux kernel 4.14.x last kernel to work on AMD E-300 and Intel i3


I have 2 HP laptops, HP2000 and HP G6. They are older, but still work.
Question: can only get 4.14.56 to work. Has this technology been considered obsolete?
 
Old 07-18-2018, 01:50 PM   #2
hydrurga
LQ Guru
 
Registered: Nov 2008
Location: Pictland
Distribution: Linux Mint 19 MATE
Posts: 5,371
Blog Entries: 2

Rep: Reputation: 1713Reputation: 1713Reputation: 1713Reputation: 1713Reputation: 1713Reputation: 1713Reputation: 1713Reputation: 1713Reputation: 1713Reputation: 1713Reputation: 1713
Hi Halaspa, and welcome to LQ.

What kernel versions have you tried that haven't worked?
 
Old 07-18-2018, 02:30 PM   #3
Halaspa
LQ Newbie
 
Registered: Jul 2018
Posts: 5

Original Poster
Rep: Reputation: Disabled
Tried 4.15, 4.16 on the HP2000. Failed during make deb-pkg.
Tried to compile 4.17.8 on the HP G6 today. Failed during make deb-pkg.
 
Old 07-18-2018, 02:34 PM   #4
hydrurga
LQ Guru
 
Registered: Nov 2008
Location: Pictland
Distribution: Linux Mint 19 MATE
Posts: 5,371
Blog Entries: 2

Rep: Reputation: 1713Reputation: 1713Reputation: 1713Reputation: 1713Reputation: 1713Reputation: 1713Reputation: 1713Reputation: 1713Reputation: 1713Reputation: 1713Reputation: 1713
Ah, I didn't realise you were compiling them. Which distro are you using?
 
Old 07-18-2018, 03:27 PM   #5
jefro
Moderator
 
Registered: Mar 2008
Posts: 18,364

Rep: Reputation: 2737Reputation: 2737Reputation: 2737Reputation: 2737Reputation: 2737Reputation: 2737Reputation: 2737Reputation: 2737Reputation: 2737Reputation: 2737Reputation: 2737
The intel i3 is a current build but the question is more of an ARCH. They should be fully supported in kernel.

It should have listed what failed or what is a clue to fail.
 
Old 07-18-2018, 03:41 PM   #6
Halaspa
LQ Newbie
 
Registered: Jul 2018
Posts: 5

Original Poster
Rep: Reputation: Disabled
Debian 9 Stretch. Everything from 4
15 to current fails when compiling.
Tried to use the current 4.16 kernel that comes with Debian. Doesn't work.
 
Old 07-18-2018, 03:41 PM   #7
Halaspa
LQ Newbie
 
Registered: Jul 2018
Posts: 5

Original Poster
Rep: Reputation: Disabled
Doesn't work as in does not boot.
 
Old 07-18-2018, 03:44 PM   #8
Halaspa
LQ Newbie
 
Registered: Jul 2018
Posts: 5

Original Poster
Rep: Reputation: Disabled
I can try to recompile. Is there a debug mode I should set?
 
Old 07-19-2018, 01:10 AM   #9
AwesomeMachine
LQ Guru
 
Registered: Jan 2005
Location: USA and Italy
Distribution: Debian testing/sid; OpenSuSE; Fedora; Mint
Posts: 5,320

Rep: Reputation: 965Reputation: 965Reputation: 965Reputation: 965Reputation: 965Reputation: 965Reputation: 965Reputation: 965
You need the linux-support package for that kernel installed. And you need to get the .config from the configs directory in the source directory. Pick the closest one and copy it to .config. Then you have to run 'make oldconfig'. Then you have to configure the kernel with 'make menuconfig' or some other config method.

I'm not sure if it's still necessary to put the architecture as the first line in .config, i.e. amd64 or i386. If you use the present configs for the running kernel it probably won't work. Are you using 'make deb-pkg' or 'kernel-package'? Post the compile errors.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Change CentOS kernel from AMD to Intel nixanwin Linux - Newbie 2 10-28-2011 01:50 PM
LXer: Kernel Log: Wonder patch merged, improved AMD and Intel graphic support LXer Syndicated Linux News 0 01-11-2011 06:00 PM
Will kernel-2.6 work with Cyrix M II 300 MHz shahak Linux - Software 13 02-27-2008 10:39 PM
prefer....AMD 300 mhz or intel 300mhz? farhan Linux - Hardware 5 12-08-2003 05:20 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie

All times are GMT -5. The time now is 03:48 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration